proc rand_list { max } {
	set procName rand
	# generate a pseudo-random sequence by doing the following:
	# let ts = timestamp
	# let p = pid
	# seed prng with srand(ts|p) where ts|p is ts bit-wise OR with p
	# let r = max*rand()
	# let rl = list of r where r is not repeated
	# foreach r in rl, let length of rl % 2 determine whether to floor or ceil
	set ts [timestamp]
	set p [pid]
	expr srand($ts|$p)
	set dlist {}
	while { [llength $dlist] <= $max } { 
		set r [expr $max*rand()]
		#scan $r %d d
		if [expr [llength $dlist] % 2] {
			set d [expr ceil($r)]
		} else {
			set d [expr floor($r)]
		}
		scan $d %d d
		if { [lsearch $dlist $d] < 0 } {
			lappend dlist $d
		}
	}
	return $dlist
}
