#-----------------------------------------------------------------------------
# Waif
#
# The mpg123 un-frontend available at <http://www.eds.org/~straycat/waif.html>
#-----------------------------------------------------------------------------

set Waif_version 0.59.7
package provide Waif $Waif_version
lappend auto_path [file dirname [info script]]

#-----------------------------------------------------------------------------
# Define some globals waif will need.
#-----------------------------------------------------------------------------
global Waif_version
global WaifGui

#-----------------------------------------------------------------------------
# Import waif core commands.
#-----------------------------------------------------------------------------
namespace import ::Waif::waif_play
namespace import ::Waif::waif_playonce
namespace import ::Waif::waif_pause
namespace import ::Waif::waif_prev
namespace import ::Waif::waif_next
namespace import ::Waif::waif_stop
namespace import ::Waif::waif_vol
namespace import ::Waif::waif_wvol
namespace import ::Waif::waif_add
namespace import ::Waif::waif_insert
namespace import ::Waif::waif_del
namespace import ::Waif::waif_jump
namespace import ::Waif::waif_show
namespace import ::Waif::waif_save
namespace import ::Waif::waif_clear
namespace import ::Waif::waif_shuffle
namespace import ::Waif::waif_reshuffle
namespace import ::Waif::waif_search
namespace import ::Waif::waif_create
namespace import ::Waif::waif_version
namespace import ::Waif::waif_help

#-----------------------------------------------------------------------------
# Enable ID3 for MP3 based on user preference.
#-----------------------------------------------------------------------------
Waif::Configure::configure_init
if { "[Waif::Configure::configure_get id3v2]" == "1" } {
    namespace import ::Waif::show_mp3v2
    rename show_mp3v2 show_mp3
} else {
    namespace import ::Waif::show_mp3v1
    rename show_mp3v1 show_mp3
}

#-----------------------------------------------------------------------------
# Rename the commands to make them more manageable.
#-----------------------------------------------------------------------------
set obsoleting {
rename waif_play play
rename waif_playonce playonce
rename waif_pause pause
rename waif_prev prev
rename waif_next next
rename waif_stop stop
rename waif_shuffle shuffle
rename waif_reshuffle reshuffle
rename waif_vol vol
rename waif_wvol wvol
rename waif_add add
rename waif_insert insert
rename waif_del del
rename waif_jump jump
rename waif_show show
rename waif_save save
rename waif_clear clear
rename waif_search search
}

#-----------------------------------------------------------------------------
# Import and rename the playlist routines waifsh needs.
#-----------------------------------------------------------------------------
#namespace import ::Waif::Playlist::playlist_create
#rename playlist_create create

#-----------------------------------------------------------------------------
# Import the one mime routine waifsh needs.
#-----------------------------------------------------------------------------
namespace import ::Waif::Mime::mime_get
