
proc log_error { msg } {
	upvar procName _up_proc
	set procName log_error

	set file [Waif::Configure::configure_get errorlog]
	if [catch { open $file a } f] {
		puts stderr "\[$procName] <$file>: $f"
		puts stderr "\tattempting to log \"\[$_up_proc] $msg\""
		return
	}
	puts $f "\[$_up_proc] $msg"
	close $f
}

proc version { } {
	global Waif_version
	puts \
"Waif ($Waif_version) : the console audio un-frontend"
	puts "http://www.eds.org/~straycat/waif.html"
}

proc help { } {
	puts {
See waif.html for more detailed information.
valid commands are:
	play [file]
	playonce <file>
	stop
	pause
	show [count | all]
	vol +[count]/-[count] | [count
	wvol +[count]/-[count] | [count]
	next [count]
	prev [count]
	jump <count>
	add <file> <file> ...
	insert <index> file
	del index [index] ...
	search <regex>
	shuffle
	reshuffle
	create <file> <dir>
	save <file>
	clear
	version
}
}
